import { Component } from './';
declare type Callback = () => void;
declare type Executor = (resolve: () => void) => void;
declare type AllReturn = {
    then(cb: Callback): AllReturn;
};
export declare class FakePromise {
    static all(promises: FakePromises): AllReturn;
    resolved: boolean;
    private callbacks;
    constructor(executor: Executor);
    then(cb: Callback): void;
    private resolve;
}
export declare class FakePromises {
    value: FakePromise[];
    then: Callback | null;
    done: boolean;
    all: AllReturn | null;
    name?: string;
    id: number;
    component: Component<any, any, any> | null;
    add(promise: FakePromise): void;
    reset(): void;
}
export {};
